Package dracut cannot be installed on Ubuntu 12.10

Bug #1108987 reported by Florian Feldhaus on 2013-01-29
20
This bug affects 4 people
Affects Status Importance Assigned to Milestone
dracut (Ubuntu)
High
Unassigned

Bug Description

The package dracut cannot be installed as it conflicts with initramfs-tools package. initramfs-tools is a dependency of many core packages and cannot be removed without removing essential tools like the kernel. For this reason, the package dracut can never be installed.

Either dracut should not Conflict with initramfs-tools (like it did on 12.04) or all the packages that Depend on initramfs-tools should be modified to Depend on the virtual linix-initramfs-tools.

ProblemType: Bug
DistroRelease: Ubuntu 12.10
Package: dracut (not installed)
ProcVersionSignature: Ubuntu 3.5.0-17.28-generic 3.5.5
Uname: Linux 3.5.0-17-generic x86_64
ApportVersion: 2.6.1-0ubuntu10
Architecture: amd64
Date: Tue Jan 29 15:19:37 2013
InstallationDate: Installed on 2013-01-29 (0 days ago)
InstallationMedia: Ubuntu-Server 12.10 "Quantal Quetzal" - Release amd64 (20121017.2)
MarkForUpload: True
ProcEnviron:
 SHELL=/bin/bash
 TERM=xterm-256color
 PATH=(custom, no user)
 LANG=en_US.utf8
 LANGUAGE=en_US:
SourcePackage: dracut
UpgradeStatus: No upgrade log present (probably fresh install)
modified.conffile..etc.dracut.conf: [deleted]
modified.conffile..etc.kernel.postinst.d.dracut: [deleted]
modified.conffile..etc.kernel.postrm.d.dracut: [deleted]
modified.conffile..etc.logrotate.d.dracut: [deleted]

information type: Public → Public Security
information type: Public Security → Public
description: updated
description: updated

I've filed bug #1109029 to track the transition from initramfs-tools to linux-initramfs-tools.

It has still to be decided whether dracut should Confict with initramfs-tools or not. The conflict has been introduced in version 018+32+geb6e141-1, but there is no mention about the reasons in the changelog.

Changed in dracut (Ubuntu):
importance: Undecided → High
status: New → Confirmed
status: Confirmed → Triaged
Dimitri John Ledkov (xnox) wrote :

I pulled the package in debian and it conflicts with initramfs-tools.
Please fix this in Debian first by filing bugs in Debian BTS and working together with Debian Maintainer.
Such major changes for a potentially core package are not appropriate in Ubuntu.

Changed in dracut (Ubuntu):
status: Triaged → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers